package com.qmth.themis.business.dto;

import com.qmth.themis.business.entity.TBOrg;
import com.qmth.themis.business.enums.RoleEnum;
import io.swagger.annotations.ApiModelProperty;

import java.io.Serializable;
import java.util.Set;

/**
 * @Description: 鉴权 dto
 * @Param:
 * @return:
 * @Author: wangliang
 * @Date: 2020/6/26
 */
public class AuthDto implements Serializable {
    private static final long serialVersionUID = 1L;

    @ApiModelProperty(name = "角色集合")
    private Set<String> roleCodes;

    @ApiModelProperty(name = "url集合")
    private Set<String> urls;

    @ApiModelProperty(name = "机构信息")
    private TBOrg tbOrg;

    public TBOrg getTbOrg() {
        return tbOrg;
    }

    public void setTbOrg(TBOrg tbOrg) {
        this.tbOrg = tbOrg;
    }

    public AuthDto() {

    }

    public AuthDto(Set<String> roleCodes, Set<String> urls) {
        this.roleCodes = roleCodes;
        this.urls = urls;
    }

    public AuthDto(Set<String> roleCodes, Set<String> urls, TBOrg tbOrg) {
        this.roleCodes = roleCodes;
        this.urls = urls;
        this.tbOrg = tbOrg;
    }

    public static long getSerialVersionUID() {
        return serialVersionUID;
    }

    public Set<String> getRoleCodes() {
        return roleCodes;
    }

    public void setRoleCodes(Set<String> roleCodes) {
        this.roleCodes = roleCodes;
    }

    public Set<String> getUrls() {
        return urls;
    }

    public void setUrls(Set<String> urls) {
        this.urls = urls;
    }
}
